Skip to main content
Back to API List To execute Batch Test Suites and get results. This API only initiates the test process. Use the Batch Test Execution Status API for the results.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/testsuite/{testSuiteName}/run
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Batch Tests Execution; Admin Console: Not Applicable

Query Parameters

PARAMETERDESCRIPTIONMANDATE
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIDBot ID or Stream ID can be accessed under General Settings on the App Builder.Required
testSuiteNameName of the test suite on the App Builder.Required

Sample Request

curl --location --request POST \
      'https://{host}/api/public/stream/{streamId}/testsuite/{testSuiteName}/run' \
      --header 'auth: {jwt-token}' \
      --header 'bot-language: {language-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
         "version":"inDevelopment",
         "engine":"dgpt"
         }'
  • If engine = "regression" (or empty) or engine is not provided, it executes ML Batch Testing.
  • If engine is set to "dgpt", it executes Dialog GPT Batch Testing.

Body Parameters

PARAMETERDESCRIPTIONMANDATE
versionThe version of the bot against which the execution is required: published for Published version, inDevelopment for the Configured version.Required

Sample Response

{
    "status": "accepted",
    "requestId": "tr-acfxxbff-xxxf-xaxx-bbbx-exxxabaxxcxx"
}